package cokr.xit.fims.eqplc.dao;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.eqplc.Eqplc;
import cokr.xit.fims.eqplc.EqplcQuery;
import cokr.xit.foundation.component.AbstractMapper;
import cokr.xit.foundation.data.DataObject;

@Mapper("eqplcMapper")
public interface EqplcMapper extends AbstractMapper {
	
	List<DataObject> selectList(EqplcQuery req);
	
	DataObject selectOne(String req);
	
	String selectNextNo();
	
	int insert(Eqplc req);
	
	int update(Eqplc req);
	
}